# DIME XAI 0.0.4a14 Pre-release 👽
```text
Pre-release of DIME (Dual Interpretable Model-agnostic Explanations) mainly aimed at Explaining DIET Classifiers in RASA 2.8.X. Models.
```
## Features 🦄
- Explain RASA DIET Classifiers using feature importance
- Generate dual feature importance scores
- No Surrogate models, thus efficient
- Total confidence drop as the feature importance score
- Explain both local and REST models
- Easy to use DIME CLI
- GUI with a dedicated server on-demand
- Generate, Store, Download, Upload, Peak DIME explanations. Read more on [docs](https://dime-xai.github.io)
- Full Unicode support

## What's Cooking? 🍪
- DIME for Jupyter Notebooks
- Stopwords List Generation
- DIME Example Notebooks
- DIME for non-DIET text classification models

## Limitations and Known Issues 🤏🏽
- Global Importance is disabled for REST models due to performance bottlenecks
- Explaining RASA models locally on Notebooks such as CoLab is not supported yet due to dependency issues
- Benchmark tests are in progress

📒 Docs: https://dime-xai.github.io  
📦 PyPi: https://pypi.org/project/dime-xai/0.0.4a14/  
🪵 Full Changelog: Refer the relevant GitHub branch  